package com.ym.mec.biz.dal.page;

import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

public class MusicMemberQueryInfo extends EducationBaseQueryInfo {

	@ApiModelProperty(value = "0已过期，1即将过期,2待生效,3生效中", required = false)
	private Integer hasMember = 0;

	private String memberEndAutoQuitMusic;

	private Date visitStartTime;

	private Date visitEndTime;

	public Date getVisitStartTime() {
		return visitStartTime;
	}

	public void setVisitStartTime(Date visitStartTime) {
		this.visitStartTime = visitStartTime;
	}

	public Date getVisitEndTime() {
		return visitEndTime;
	}

	public void setVisitEndTime(Date visitEndTime) {
		this.visitEndTime = visitEndTime;
	}

	public String getMemberEndAutoQuitMusic() {
		return memberEndAutoQuitMusic;
	}

	public void setMemberEndAutoQuitMusic(String memberEndAutoQuitMusic) {
		this.memberEndAutoQuitMusic = memberEndAutoQuitMusic;
	}

	public Integer getHasMember() {
		return hasMember;
	}

	public void setHasMember(Integer hasMember) {
		this.hasMember = hasMember;
	}
}
